%global srcname unicode-slugify

Name:           python-%{srcname}
Version:        0.1.5
Release:        %autorelease
Summary:        Slug generator that turns strings into unicode slugs

License:        BSD-3-Clause
URL:            http://github.com/mozilla/unicode-slugify
Source:         %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Unicode Slugify is a slugifier that generates unicode slugs. It was originally
used in the Firefox Add-ons web site to generate slugs for add-ons and add-on
collections. Many of these add-ons and collections had unicode characters and
required more than simple transliteration.}

%description %_description

%package -n     python3-unicode-slugify
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files slugify

%check
%tox

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md

%changelog
%autochangelog
